Subject: bug#33913: 26.1; Optionally not font-lock newline char when `comment-end' = ""

From: martin rudalics <[email-masked]>
Date: Sun, 30 Dec 2018 20:00:33 +0100

> Maybe you could fix that up to become a
 > general replacement, to fix this bug (only)?

No.  It's a hack to use fontification for that purpose.

 > But I do think a user option might be good,
 > or even a non-option variable.

This problem should be solved with the help of a new :no-extend-to-eol
face attribute.  Whenever set - typically in 'font-lock-comment-face',
'font-lock-doc-face' and 'font-lock-string-face' - the display engine
would show the default background on the rest of the line.  The idea
sounds deceptively simple but I never got around coding it.

 > I doubt that such an incompatible change (to
 > the default) would be accepted immediately.
 > But a fix for the bug might be.

If it's made a face property, users are free to customize it at their
will.  But I obviously wouldn't oppose an :extend-to-eol attribute.

martin